python-mockldap_0.3.0-2_all.deb


Advertisement

Description

python-mockldap - simple mock implementation of python-ldap (Python2 version)

Property Value
Distribution Debian Sid
Repository Debian Main amd64
Package filename python-mockldap_0.3.0-2_all.deb
Package name python-mockldap
Package version 0.3.0
Package release 2
Package architecture all
Package type deb
Category python
Homepage https://bitbucket.org/psagers/mockldap/
License -
Maintainer Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Download size 13.86 KB
Installed size 54.00 KB

Alternatives

Package Version Architecture Repository
python-mockldap_0.3.0-2_all.deb 0.3.0 all Debian Main
python-mockldap - - -

Requires

Name Value
python-funcparserlib -
python-mock -
python-pyldap -
python:any >= 2.7.5-5~
python:any << 2.8

Download

Type URL
Mirror ftp.br.debian.org
Binary Package python-mockldap_0.3.0-2_all.deb
Source Package mockldap

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python-mockldap deb package:
    # sudo apt-get install python-mockldap

Files

Path
/usr/lib/python2.7/dist-packages/mockldap/__init__.py
/usr/lib/python2.7/dist-packages/mockldap/filter.py
/usr/lib/python2.7/dist-packages/mockldap/ldapobject.py
/usr/lib/python2.7/dist-packages/mockldap/recording.py
/usr/lib/python2.7/dist-packages/mockldap-0.3.0.egg-info/PKG-INFO
/usr/lib/python2.7/dist-packages/mockldap-0.3.0.egg-info/dependency_links.txt
/usr/lib/python2.7/dist-packages/mockldap-0.3.0.egg-info/requires.txt
/usr/lib/python2.7/dist-packages/mockldap-0.3.0.egg-info/top_level.txt
/usr/share/doc/python-mockldap/README
/usr/share/doc/python-mockldap/changelog.Debian.gz
/usr/share/doc/python-mockldap/changelog.gz
/usr/share/doc/python-mockldap/copyright

Changelog

2017-11-09 - Michael Fladischer <fladi@debian.org>
mockldap (0.3.0-2) unstable; urgency=medium
* Add python-mock to Depends for the Python2 package (Closes: #880865).
* Run wrap-and-sort -bast to reduce diff size of future changes.
2017-11-01 - Michael Fladischer <fladi@debian.org>
mockldap (0.3.0-1) unstable; urgency=low
* New upstream release.
* Refresh patches after git-dpm to gbp pq conversion
* Move upstream signing key to debian/upstream/signing-key.asc.
* Replace Priority extra with optional as required by policy 4.0.1.
* Bump Standards-Version to 4.1.1.
* Raise minimum Python3 version to 3.4.
* Use https:// for uscan URL.
* Refresh patches for 0.3.0.
* Clean up modified files to allow two builds in a row.
* Disable test until upstream includes them in their tarball again.
2017-07-06 - Michael Fladischer <fladi@debian.org>
mockldap (0.2.8-1) unstable; urgency=low
* Upload to unstable (Closes: #866016).
* Bump Standards-Version to 4.0.0.
2017-03-19 - Michael Fladischer <fladi@debian.org>
mockldap (0.2.8-1~exp1) experimental; urgency=low
* New upstream release.
2017-03-18 - Michael Fladischer <fladi@debian.org>
mockldap (0.2.7-1~exp1) experimental; urgency=low
[ Ondřej Nový ]
* Fixed homepage (https)
* Fixed VCS URL (https)
[ Michael Fladischer ]
* New upstream release.
* Remove version constraint from python-sphinx in Build-Depends, no
longer necessary.
* Add patch to use pyldap for both Python2 and Python3.
* Replace python-ldap with python-pyldap in Build-Depends.
* Use https:// for copyright-format 1.0 URL.
* Bump Standards-Version to 3.9.8.
* Enable Python3 support through additional binary package.
* Switch to python3-sphinx.
* Bump minimum Python2 version to 2.7.
* Update years in d/copyright.
* Install README for python3-mockldap.
2015-06-30 - Michael Fladischer <fladi@debian.org>
mockldap (0.2.5-1) unstable; urgency=low
* New upstream release.
2015-05-27 - Michael Fladischer <fladi@debian.org>
mockldap (0.2.4-1) unstable; urgency=medium
* New upstream release.
* Drop python3-mockldap binary package as it is not compatible with
python3-ldap3 and there is no python3-ldap (Closes: #784645).
* Bump Standards-Version to 3.9.6.
* Use pypi.debian.net service for uscan.
* Change my email address to fladi@debian.org.
2014-08-28 - Michael Fladischer <FladischerMichael@fladi.at>
mockldap (0.2.2-3) unstable; urgency=low
* Switch buildsystem to pybuild.
* Add dh-python to Build-Depends.
* Add src/mockldap.egg-info/requires.txt to d/clean to allow two builds in a
row.
2014-08-27 - Michael Fladischer <FladischerMichael@fladi.at>
mockldap (0.2.2-2) unstable; urgency=medium
* Use correct package for python_ldap in Python3 by providing
d/py3dist-overrides.
2014-08-21 - Michael Fladischer <FladischerMichael@fladi.at>
mockldap (0.2.2-1) unstable; urgency=low
* New upstream release.
* Add Python3 support. Test are not yet compatible.

See Also

Package Description
python-mockupdb_1.7.0-2_all.deb MongoDB Wire Protocol server library - Python 2.x
python-mod-pywebsocket_0.8-1_all.deb WebSocket extension for Apache HTTP Server
python-mode_6.2.3-1.1_all.deb Python mode for GNU Emacs and XEmacs
python-model-mommy_1.6.0-1_all.deb smart object creation facility for Django
python-modestmaps_1.4.7-3_all.deb display and interaction library for tile-based maps
python-moinmoin_1.9.9-1+deb9u1_all.deb Python clone of WikiWiki - library
python-moksha.common_1.2.5-3_all.deb Common components for the Moksha framework (Python 2)
python-moksha.hub_1.4.1-2_all.deb Hub components for the Moksha framework
python-monasca-statsd_1.7.0-1_all.deb monasca statsd API client - Python 2.7
python-monascaclient_1.12.1-2_all.deb client bindings for the Monasca API - Python 2.7
python-moneyed_0.8.0-1_all.deb Currency and Money classes for use in Python 2 code
python-mongoengine-doc_0.15.3-1_all.deb Python Document-Object Mapper for working with MongoDB (documentation)
python-mongoengine_0.15.3-1_all.deb Python Document-Object Mapper for working with MongoDB
python-monotonic_1.1-2_all.deb implementation of time.monotonic() - Python 2.x
python-more-itertools_4.2.0-1_all.deb library with for operating on iterables, beyond itertools (Python 2)
Advertisement
Advertisement